Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupTaskQueryServiceDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
          org.jbpm.services.task.identity.UserGroupTaskQueryServiceDecorator

All Implemented Interfaces:
  org.kie.internal.task.api.TaskQueryService

    @Decorator
    public class UserGroupTaskQueryServiceDecorator

extends AbstractUserGroupCallbackDecorator
implements org.kie.internal.task.api.TaskQueryService

Constructor Summary
`UserGroupTaskQueryServiceDecorator()`

Method Summary
`int` | `getPendingSubTasksByParent(long parentId)`
`Map<Long,List<OrganizationalEntity>>` | `getPotentialOwnersForTaskIds(List<Long> taskIds)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`Task` | `getTaskInstanceById(long taskId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResults)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDate(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDate(String userId, List<String> groupIds, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId, List<String> groupIds, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroup(String groupId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroups(List<String> groupsId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDate(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds, String language, Date expirationDate)`
`List<Long>` | `getTasksByProcessInstanceId(long processInstanceId)`
`List<TaskSummary>` | `getTasksByStatusByProcessInstanceId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId, List<Status> status, Date date)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByStatus(String userId, List<Status> status, String language)`
`void` | `setDelegate(org.kie.internal.task.api.TaskQueryService delegate)`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, setPm, setUserGroupCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupTaskQueryServiceDecorator

    public UserGroupTaskQueryServiceDecorator()

Method Detail

### setDelegate

    public void setDelegate(org.kie.internal.task.api.TaskQueryService delegate)

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language,
                                                              int firstResult,
                                                              int maxResults)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                             List<String> groupIds,
                                                                             List<Status> status,
                                                                             String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                         String language)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                               String language)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedByGroup

    public List<TaskSummary> getTasksAssignedByGroup(String groupId,
                                                     String language)

  Specified by:
    `getTasksAssignedByGroup` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedByGroups

    public List<TaskSummary> getTasksAssignedByGroups(List<String> groupsId,
                                                      String language)

  Specified by:
    `getTasksAssignedByGroups` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedByGroupsByExpirationDate

    public List<TaskSummary> getTasksAssignedByGroupsByExpirationDate(List<String> groupIds,
                                                                      String language,
                                                                      Date expirationDate)

  Specified by:
    `getTasksAssignedByGroupsByExpirationDate` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedByGroupsByExpirationDateOptional

    public List<TaskSummary> getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds,
                                                                              String language,
                                                                              Date expirationDate)

  Specified by:
    `getTasksAssignedByGroupsByExpirationDateOptional` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksOwnedByStatus

    public List<TaskSummary> getTasksOwnedByStatus(String userId,
                                                   List<Status> status,
                                                   String language)

  Specified by:
    `getTasksOwnedByStatus` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksOwnedByExpirationDate

    public List<TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                           List<Status> status,
                                                           Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDate` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksOwnedByExpirationDateOptional

    public List<TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                                   List<Status> status,
                                                                   Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDateOptional` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksOwnedByExpirationDateBeforeSpecifiedDate

    public List<TaskSummary> getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId,
                                                                              List<Status> status,
                                                                              Date date)

  Specified by:
    `getTasksOwnedByExpirationDateBeforeSpecifiedDate` in interface `org.kie.internal.task.api.TaskQueryService`

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                 String userId,
                                                                 String language)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `org.kie.internal.task.api.TaskQueryService`

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long parentId)

  Specified by:
    `getSubTasksByParent` in interface `org.kie.internal.task.api.TaskQueryService`

### getPendingSubTasksByParent

    public int getPendingSubTasksByParent(long parentId)

  Specified by:
    `getPendingSubTasksByParent` in interface `org.kie.internal.task.api.TaskQueryService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

  Specified by:
    `getTaskByWorkItemId` in interface `org.kie.internal.task.api.TaskQueryService`

### getTaskInstanceById

    public Task getTaskInstanceById(long taskId)

  Specified by:
    `getTaskInstanceById` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksByStatusByProcessInstanceId

    public List<TaskSummary> getTasksByStatusByProcessInstanceId(long processInstanceId,
                                                                 List<Status> status,
                                                                 String language)

  Specified by:
    `getTasksByStatusByProcessInstanceId` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksByStatusByProcessInstanceIdByTaskName

    public List<TaskSummary> getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId,
                                                                           List<Status> status,
                                                                           String taskName,
                                                                           String language)

  Specified by:
    `getTasksByStatusByProcessInstanceIdByTaskName` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksByProcessInstanceId

    public List<Long> getTasksByProcessInstanceId(long processInstanceId)

  Specified by:
    `getTasksByProcessInstanceId` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByExpirationDate

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDate(String userId,
                                                                              List<Status> status,
                                                                              Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDate` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByExpirationDateOptional

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId,
                                                                                      List<Status> status,
                                                                                      Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDateOptional` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByExpirationDate

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDate(String userId,
                                                                              List<String> groupIds,
                                                                              List<Status> status,
                                                                              Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDate` in interface `org.kie.internal.task.api.TaskQueryService`

### getTasksAssignedAsPotentialOwnerByExpirationDateOptional

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId,
                                                                                      List<String> groupIds,
                                                                                      List<Status> status,
                                                                                      Date expirationDate)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByExpirationDateOptional` in interface `org.kie.internal.task.api.TaskQueryService`

### getPotentialOwnersForTaskIds

    public Map<Long,List<OrganizationalEntity>> getPotentialOwnersForTaskIds(List<Long> taskIds)

  Specified by:
    `getPotentialOwnersForTaskIds` in interface `org.kie.internal.task.api.TaskQueryService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.